#include	<iostream>
#include	<vector>
#include	<algorithm>
using namespace std;

vector<int> brojevi;

int cifre(int n)
{
	int temp = n;
	int brCif = 0;
	int proizvod = 1;
	while (temp != 0)
	{
		proizvod *= temp % 10;
		temp = temp / 10;
		brCif++;
	}

	return proizvod;
}

int main()
{
	int T;
	cin >> T;

	for (int i = 0; i < T; i++)
	{
		int temp;
		cin >> temp;
		brojevi.push_back(temp);
	}
	
	for (int i = 0; i < T; i++)
	{
		vector<int> rezultat;
		int broj = brojevi[i];

		for (int j = 1; j <= broj; j++)
		{
			int duplikata = 0;
			for (int z = 0; z < rezultat.size(); z++)
			{
				if (cifre(j) == rezultat[z])
				{
					duplikata++;
					break;
				}
			}
			if (duplikata == 0) {
				rezultat.push_back(cifre(j));
			}
			duplikata = 0;
		}

		cout << rezultat.size() << endl;
		rezultat = {};
	}

	return 0;
}